CorebanqCorebanq Developer Docs
Uploadsv1Customer Documents

Get customer files

Get all files for a customer

GET/v1/uploads/customer/{customer_id}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

customer_id*string

Query Parameters

isSigned?boolean
isApproved?boolean
tag?string

Response Body

application/json

curl -X GET "https://example.com/v1/uploads/customer/497f6eca-6276-4993-bfeb-53cbbbba6f08"
[
  {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "file_name": "string",
    "document_type": "bylaws",
    "approval_status": "pending",
    "approval_needed": 0.1,
    "approval_made": 0.1,
    "signature_status": "pending",
    "signature_needed": 0.1,
    "signature_made": 0.1,
    "content_length": 0,
    "file_extension": "string",
    "active": true,
    "metadata": {},
    "created_at": "2019-08-24T14:15:22Z",
    "created_by": "ee824cad-d7a6-4f48-87dc-e8461a9201c4"
  }
]